var input = Android.loadUidFromUrlCreator();
console.log(input);
var prf = Android.getEncodeBase();
if (Android.loadAlg_crp() == "CryptoJS.AES") {
    var uidNewBase = changeBaseAlpha(input, "0123456789ABCDEF", Android.loadBas_cod());
    console.log("uidNewBase: "+ uidNewBase);
    var key = CryptoJS.enc.Hex.parse(Android.loadKeyCrp()); //TnOd2bfe6aUlygselHomWg== 22 char sans padding! 
    var iv  = CryptoJS.enc.Hex.parse(Android.loadInvCrp());
    var clearText = uidNewBase;
    console.log("clearText " + clearText);
    var encrypt = CryptoJS.AES.encrypt(clearText, key,{ iv: iv });
    console.log("encrypted " + encrypt.toString());
    var decrypt = CryptoJS.AES.decrypt(encrypt, key,{ iv: iv });
    console.log("decrypted " + decrypt.toString(CryptoJS.enc.Utf8));
    encrypt = encrypt.toString().replace(/\=/g,"");
    tmp = encrypt;
    var out = changeBaseAlpha(encrypt.toString(), "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", Android.loadBas_out());
}else{
    var out = changeBaseAlpha(input, "0123456789ABCDEF", Android.loadBas_out());
};

console.log(prf + out);
var url = "http://jt.ag/"+prf+out;
Android.setUrlFromCreatorJS(url);